package ms.warpzone.warppay.data.models.rest;

import ms.warpzone.warppay.data.models.local.Category;
public class RestCategory {


    private int id;
    private String name;

    public RestCategory() {
        super();
    }

    public RestCategory(int id, String name) {
        this.id = id;
        this.name = name;
    }

    public int getId() {
        return this.id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Category toLocalCategory() {
        Category c = new Category();
        c.setCid(this.id);
        c.setName(this.name);
        return c;
    }

    public static RestCategory fromLocalrestCategory(Category category) {
        RestCategory restCategory = new RestCategory();
        restCategory.setId(category.getCid());
        restCategory.setName(category.getName());
        return restCategory;
    }
}
